# Dynamic Wallpaper Editor

The GNOME desktop allows the wallpaper to change with time.

These dynamic wallpapers are XML files, and you don't want to write these files
in a text editor: *Dynamic Wallpaper Editor* is a little utility for the
creation or the edition of these XML wallpapers.

![screenshot (grid view)](https://raw.githubusercontent.com/maoschanz/dynamic-wallpaper-editor/master/help/C/figures/screenshot_grid.png)

### Create XML files

- Add pictures to the list
- Rearrange the list
- Set the duration of each picture, and the duration of transition between them
- Adjust the start time of the slideshow
- Save as an XML file

### Edit XML files

Easily open an XML file, add pictures, or remove pictures, or change their order
or their durations, and save the modifications.

The list of pictures can conveniently be displayed as a list or as a grid.

### Set an XML file as your wallpaper

You can set an XML file (that you opened or newly created) as your wallpaper
from the app.

Adjustment options are available (mosaic, zoom, centered, etc.)

----

## Installation

### Flatpak

You can install it from flathub.org using the instructions on [this page](https://flathub.org/apps/details/com.github.maoschanz.DynamicWallpaperEditor).

The flatpak sandbox may cause issues with a few features.

### Native packages

Several distributions package the app in their native repositories:

[![Packaging status](https://repology.org/badge/vertical-allrepos/dynamic-wallpaper-editor.svg)](https://repology.org/project/dynamic-wallpaper-editor/versions)

----

## Compatible desktop environments

- GNOME Shell
- Cinnamon
- MATE

Other environments such as Budgie does **not** support XML wallpapers.

----

Other screenshots:

![screenshot (list view)](https://raw.githubusercontent.com/maoschanz/dynamic-wallpaper-editor/master/help/C/figures/screenshot_list.png)

![screenshot (grid view)](https://raw.githubusercontent.com/maoschanz/dynamic-wallpaper-editor/master/help/C/figures/screenshot_grid_popover.png)


